Masterify

make.com · Pro 及以上

将 Google Drive 上传转变为自动母带处理流水线

文件检测、任务创建、完成 Webhook 接收、Slack 通知——在 make.com 中一站式连接的入门模板。

设置清单

  • 签发 Masterify API 密钥
  • 创建 make.com 自定义 Webhook URL
  • 指定要监视的 Google Drive 文件夹
  • 指定 Slack 频道或私信对象

预期结果

  • 上传后无需手动检查,直接在 Slack 接收完成链接
  • 将 Drive 用作简易队列
  • 缩短团队审核周期
1

Google Drive trigger

2

HTTP POST /api/v1/master with webhook_url

3

Webhook receive job.completed

4

Slack message with download_url

API 请求

curl -X POST https://api.masterify.net/api/v1/master \
  -H "Authorization: Bearer aim_live_xxx" \
  -F "[email protected]" \
  -F "platforms=spotify,apple_music" \
  -F "ai_service=suno" \
  -F "webhook_url=https://hook.make.com/your-webhook-id"

Webhook / 响应示例

{
  "event": "job.completed",
  "job_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "done",
  "download_url": "https://api.masterify.net/api/v1/jobs/.../download"
}

运维说明

完成 URL 仅在保留期内有效,请从 Slack 尽快处理。

即使一次创建多个平台版本,计费仍为每个任务 1 积分。